Skip to main content
PATCH
/
v2
/
organizations
/
{orgId}
/
roles
/
{roleId}
Update an organization role
curl --request PATCH \
  --url https://api.cal.com/v2/organizations/{orgId}/roles/{roleId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "color": "<string>",
  "description": "<string>",
  "permissions": [
    "eventType.read",
    "eventType.create",
    "booking.read"
  ],
  "name": "<string>"
}
'
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/roles/{roleId}"

payload = {
    "color": "<string>",
    "description": "<string>",
    "permissions": ["eventType.read", "eventType.create", "booking.read"],
    "name": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    color: '<string>',
    description: '<string>',
    permissions: ['eventType.read', 'eventType.create', 'booking.read'],
    name: '<string>'
  })
};

fetch('https://api.cal.com/v2/organizations/{orgId}/roles/{roleId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "id": "<string>",
    "name": "<string>",
    "permissions": [
      "booking.read",
      "eventType.create"
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "color": "<string>",
    "description": "<string>",
    "organizationId": 123
  }
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required
roleId
string
required

Body

application/json
color
string

Color for the role (hex code)

description
string

Description of the role

permissions
enum<string>[]

Permissions for this role (format: resource.action). On update, this field replaces the entire permission set for the role (full replace). Use granular permission endpoints for one-by-one changes.

Available options:
*.*,
role.create,
role.read,
role.update,
role.delete,
eventType.create,
eventType.read,
eventType.update,
eventType.delete,
team.create,
team.read,
team.update,
team.delete,
team.invite,
team.remove,
team.listMembers,
team.listMembersPrivate,
team.changeMemberRole,
team.impersonate,
organization.create,
organization.read,
organization.listMembers,
organization.listMembersPrivate,
organization.invite,
organization.remove,
organization.manageBilling,
organization.changeMemberRole,
organization.impersonate,
organization.passwordReset,
organization.editUsers,
organization.update,
organization.delete,
booking.read,
booking.readOrgBookings,
booking.readRecordings,
booking.update,
booking.updateOrgBookings,
booking.readOrgAuditLogs,
insights.read,
workflow.create,
workflow.read,
workflow.update,
workflow.delete,
organization.attributes.read,
organization.attributes.update,
organization.attributes.delete,
organization.attributes.create,
organization.attributes.readSyncHistory,
organization.attributes.editUsers,
organization.attributes.readAuditLogs,
routingForm.create,
routingForm.read,
routingForm.update,
routingForm.delete,
webhook.create,
webhook.read,
webhook.update,
webhook.delete,
watchlist.create,
watchlist.read,
watchlist.update,
watchlist.delete,
featureOptIn.read,
featureOptIn.update,
organization.customDomain.create,
organization.customDomain.read,
organization.customDomain.update,
organization.customDomain.delete
Example:
[
  "eventType.read",
  "eventType.create",
  "booking.read"
]
name
string

Name of the role

Minimum string length: 1

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required